CVE-2022-41889

NULL Pointer Dereference in pypi/tensorflow-gpu

Identifiers

GHSA-xxcj-rhqg-m46g, CVE-2022-41889

Package Slug

pypi/tensorflow-gpu

Vulnerability

NULL Pointer Dereference

Description

TensorFlow is an open source platform for machine learning. If a list of quantized tensors is assigned to an attribute, the pywrap code fails to parse the tensor and returns a nullptr, which is not caught. An example can be seen in tf.compat.v1.extract_volume_patches by passing in quantized tensors as input ksizes. We have patched the issue in GitHub commit e9e95553e5411834d215e6770c81a83a3d0866ce. The fix will be included in TensorFlow 2.11. We will also cherrypick this commit on TensorFlow 2.10.1, 2.9.3, and TensorFlow 2.8.4, as these are also affected and still in supported range.

Affected Versions

All versions before 2.8.4, all versions starting from 2.9.0 before 2.9.3, all versions starting from 2.10.0 before 2.10.1

Solution

Upgrade to versions 2.8.4, 2.9.3, 2.10.1 or above.

Last Modified

2022-11-22

source